#
# spec file for package h264enc
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           h264enc
Version:        10.4.7
Release:        3.2
Summary:        An advanced CLI shell script for MEncoder
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://h264enc.sourceforge.net/
Source0:        %{name}-%{version}.tar.gz
Conflicts:      openh264
Requires:       MPlayer
Requires:       aften
Requires:       bc
Requires:       dcaenc
Requires:       faac
Requires:       findutils
Requires:       flac
Requires:       gawk
Requires:       gpac
Requires:       lsdvd
Requires:       mailx
Requires:       mkvtoolnix
Requires:       nano
Requires:       ogmtools
Requires:       opus-tools
Requires:       pv
Requires:       vorbis-tools
Requires:       x264
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
h264enc is an advanced and powerful interactive menu-driven shell script written
for the GNU/Linux operating system which can help you to encode a DVD, a video file,
a directory with video files or a (S)VCD to the H.264/MPEG-4 Part 10/AVC video format
using the MEncoder encoder from the MPlayer project and the libx264 library. It supports
muxing the final encode from AVI to MKV, from AVI to OGM, from AVI to TS and from
AVI to the MP4 container.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}/%{_docdir}/%{name}/matrices

# binary
install -D -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

# man
gzip -9 man/%{name}.1
install -D -m 644 man/%{name}.1.gz %{buildroot}/%{_mandir}/man1/%{name}.1.gz

# doc
install -m 644 doc/* %{buildroot}/%{_docdir}/%{name}
install -m 644 matrices/* %{buildroot}/%{_docdir}/%{name}/matrices



%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}
%{_docdir}/%{name}

%changelog
* Fri Nov 18 2016 neutrino8@opensuse.org
- Add Conflicts: openh264 to spec file
* Tue Oct 18 2016 neutrino8@gmail.com
- Add changes file
